var censoredWords = ["sad", "bad", "mad"]
var customCensoredWords = []

function censor(inStr) {
	for (idx in censoredWords) {
		inStr = inStr.replace(censoredWords[idx], "****")
	}
	for (idx in customCensoredWords) {
		inStr = inStr.replace(customCensoredWords[idx], "****")
	}
	return inStr
}

function addCensoredWord(word) {
	customCensoredWords.push(word)
}
function getCensoredWords() {
	// concat() 方法用于连接两个或多个数组,该方法不会改变现有的数组，而仅仅会返回被连接数组的一个副本
	return censoredWords.concat(customCensoredWords)
}

exports.censor = censor
exports.addCensoredWord = addCensoredWord
exports.getCensoredWords = getCensoredWords